Package org.eclipse.microprofile.faulttolerance

# Interface ExecutionContext

@ProviderType public interface ExecutionContext
The execution context for the method being executed.

Author:
  Emily Jiang

## Method Summary

Modifier and Type
Method
Description
`Throwable`
`getFailure()`
Returns the failure of the method execution.
`Method`
`getMethod()`
Returns the method being executed.
`Object[]`
`getParameters()`
Returns the parameter values being passed to the method.

## Method Details

### getMethod

Method getMethod()
Returns the method being executed.

Returns:
  the method

### getParameters

Object[] getParameters()
Returns the parameter values being passed to the method.

Returns:
  the parameter values, as an array

### getFailure

Throwable getFailure()
Returns the failure of the method execution.

Returns:
  the failure of the method execution